Expresii
Would you like to react to this message? Create an account in a few clicks or log in to continue.

[Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender

Post new topic   Reply to topic

Go down

[Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender  Empty [Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender

Post  Admin Tue 09 Aug 2022, 6:20 pm

Recently I have a user reporting Expresii refusing to run saying his system only supports OpenGL 1.1.
But his system surely is capable having NVIDIA GeForce GTX 1660 and AMD Ryzen 7 3700X.

[Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender  54509010

Thanks for his error report, which states:

 2.3 Module Name   : ntdll.dll - (NT Layer DLL)
 2.4 Module Version: 10.0.19041.1806
 2.5 Type          : EExternalException
 2.6 Message       : Access violation at address 00007FFAA603A9C0 in module 'ntdll.dll'. Read of address 0000000000000010

with call stack:

|7FFFFFFE|03     |0000000000000000|00007FFAA603A9C0|ntdll.dll   |000000000002A9C0|ntdll.dll   |ntdll   |     | (possible RtlRbRemoveNode+2336)  
|00000060|03     |00000000074EFBC8|00007FFA72B34E05|atcuf64.dll |0000000000064E05|atcuf64.dll |atcuf64 |     |AtcQueryRegion                      
|00000060|03     |00000000074EFE88|00007FFA055BAA91|nvoglv64.dll|00000000012BAA91|nvoglv64.dll|nvoglv64| vk_icdNegotiateLoaderICDInterfaceVersion|                                        |
|00000060|03     |00000000074EFEB8|00007FFA05426A7B|nvoglv64.dll|0000000001126A7B|nvoglv64.dll|nvoglv64|     |DrvPresentBuffers          

we're able to track down the culprit being Bitfender's atcuf64.dll intercepting nvidia driver's nvoglv64.dll's call.

User reported disabling Bitfender fixed the problem.

FYI, if you search for atcuf64.dll AtcQueryRegion, it seems to possibly crash other applications too:
https://www.google.com/search?q=atcuf64.dll+AtcQueryRegion

If you disable BitDefender, you can still have Microsoft's own anti-virus MS defender on.


Last edited by Admin on Thu 22 Sep 2022, 12:58 pm; edited 3 times in total
Admin
Admin
Admin

Posts : 841
Join date : 2012-12-31

https://expresii.forumotion.net

Back to top Go down

[Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender  Empty Re: [Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender

Post  Admin Fri 02 Sep 2022, 2:21 pm

FYI, I tried installing BitDefender, and found that you need to disable "Advanced Threat Defense" in order to fix the nvidia dll being intercepted and thus have Expresii running correctly:

[Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender  Screen14

Or, you can put Expresii in the exception list:
[Solution] Error of 'only supports OpenGL 1.1' caused by Bitfender  Screen15

Hope this helps!
Admin
Admin
Admin

Posts : 841
Join date : 2012-12-31

https://expresii.forumotion.net

Back to top Go down

Back to top

- Similar topics

Post new topic   Reply to topic
 
Permissions in this forum:
You can reply to topics in this forum